<?php
require_once 'webmail_plus.functions.inc';
/*
 * this file is conditionally includes when publishing a new node is necessary
 */




//wpd($form);
$message_key = arg(4);
//echo $message_key;

$message_info = webmail_plus_parse_key($message_key);

$mailapi_connection = _webmail_plus_connect($message_info->folder);

$header_raw = mail_api_header($message_info->message_uid);
$header_parsed = webmail_plus_parse_header($header_raw, TRUE);


//wpd($header_parsed);

$body = mail_api_get_plaintext($message_info->message_uid);
if($body=="") {
  $body = mail_api_body($message_info->message_uid);
} 


$form['title']['#default_value']=_webmail_plus_render_subject($header_parsed['subject']);
$form['body_field']['body']['#default_value']=$body;

/*
if(module_exists('file')) {
    drupal_set_message('file module exists');
}
else {
    drupal_set_message('file module does not exist');
}
*/

if(module_exists('file') && module_exists('file_attach')) {
  $attachments = mail_api_get_attachment_files($message_info->message_uid);
  
  //wpd($attachments);
  
  // save the attachments
  
  if(is_array($attachments)) {
    $form['attachments']['#type']='fieldset';
    $form['attachments']['#title']=t('Attachments');
    $form['attachments']['#collapsible']=TRUE;
    $form['attachments']['#collapsed']=FALSE;
    
  
    $form['attachments']['webmail_plus_message_key']= array(
      '#type' => 'hidden',
      '#value' => $message_key
    );
    
    foreach($attachments as $attachment_id=>$attachment_info) {
  
      if(!empty($attachment_info['file'])) {
        //drupal_set_message($attachment_id);
  
        $form['attachments']['webmail_plus_attachment_'.$attachment_id]['#type'] = 'checkbox';
        $form['attachments']['webmail_plus_attachment_'.$attachment_id]['#title'] = $attachment_info['file'];
        $form['attachments']['webmail_plus_attachment_'.$attachment_id]['#default_value'] = 1;
  
      }
  	
    }
  
  }

}

